classification
Title: Docs in DocBook format
Type: enhancement Stage:
Components: Documentation Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, calvin, georg.brandl
Priority: low Keywords:

Created on 2002-06-27 06:54 by calvin, last changed 2007-08-23 19:08 by georg.brandl. This issue is now closed.

Messages (3)
msg53568 - (view) Author: Bastian Kleineidam (calvin) Date: 2002-06-27 06:54
The current documentation in LaTeX makes it hard to
convert it to anything other than the supported formats
(PS,PDF,HTML).
To generate all documentation (including .info docs)
you'd have to install TeX (plus some conversion tools),
Perl and Emacs. 

How about making the docs in DocBook format? Its a lot
of work, but it would help format conversion a lot
without installing additional software.

Greetings, Bastian
msg53569 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2003-05-13 02:22
Logged In: YES 
user_id=357491

But wouldn't DocBook then require having Java installed?  Chances are if you 
wanted to do the conversion you would write a program to do it for you.  But 
at that point you negate the need to have it in DocBook natively since you 
have the conversion tool.
msg55183 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 19:08
For Sphinx: there is an experimental docutils DocBook writer, so I guess
the rst could be converted to docbook without too much hassle.  But this
is not going to happen without someone contributing it, so I'll close
this one.
History
Date User Action Args
2007-08-23 19:08:45georg.brandlsetstatus: open -> closed
nosy: + georg.brandl
resolution: wont fix
messages: + msg55183
2002-06-27 06:54:17calvincreate